| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::audit_change Struct Reference

Defines audit log changes. More...

`#include <auditlog.h>`

Collaboration diagram for dpp::audit_change:
[legend]

## Public Attributes

std::string | key
| The property name that was changed (e.g. nick for nickname changes).
std::string | new_value
| Optional: Serialised new value of the change, e.g. for nicknames, the new nickname.
std::string | old_value
| Optional: Serialised old value of the change, e.g. for nicknames, the old nickname.

## Detailed Description

Defines audit log changes.

## Member Data Documentation

## ◆ key

std::string dpp::audit_change::key

The property name that was changed (e.g. nick for nickname changes).

Note
  For dpp::aut_appcommand_permission_update updates the key is the id of the user, channel, role, or a permission constant that was updated instead of an actual property name.

## ◆ new_value

std::string dpp::audit_change::new_value

Optional: Serialised new value of the change, e.g. for nicknames, the new nickname.

## ◆ old_value

std::string dpp::audit_change::old_value

Optional: Serialised old value of the change, e.g. for nicknames, the old nickname.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0